Bug 1507055 - kernel 4.13.x i915 assertion at boot results in broken graphical display on MSI Wind U100
Summary: kernel 4.13.x i915 assertion at boot results in broken graphical display on M...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: x86Tracker
TreeView+ depends on / blocked
 
Reported: 2017-10-27 14:20 UTC by Corinna Vinschen
Modified: 2018-02-19 18:51 UTC (History)
21 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-19 18:51:51 UTC


Attachments (Terms of Use)
boot log MSI U100 clone with kernel 4.13.9 showing i915 assertion failure (79.73 KB, text/plain)
2017-10-27 14:20 UTC, Corinna Vinschen
no flags Details

Description Corinna Vinschen 2017-10-27 14:20:43 UTC
Created attachment 1344314 [details]
boot log MSI U100 clone with kernel 4.13.9 showing i915 assertion failure

Description of problem:

  After upgrading from kernel 4.12.9 to 4.13.5 and later 4.13.9, the GUI
  on my i686 netbook, an MSI Wind U100 clone, is broken.  The left 3/4 of
  the screen is just random garbage, only the right 1/4 of the screen shows
  the expected result.  Booting with kernel 4.12.9 fixes the issue.

Version-Release number of selected component (if applicable):

  4.13.x, 4.13.9 right now.

How reproducible:

  Install F26 on a MSI Wind U100 clone.  Boot.

Actual results:

  As described above.  The kernel log contains an assertion failure
  and call trace.  Kernel log attached to this BZ.

Expected results:

  Working GUI.


Thanks,
Corinna

Comment 1 Jeff Backus 2017-11-04 14:48:13 UTC
Hi Corinna,

What version of the Intel driver (xorg-x11-drv-intel) are you using? Is text mode fine? Does this issue show up during the loading screen or does it make it to the display manager / login screen before getting corrupted?

Comment 2 Jeff Backus 2017-11-04 14:52:46 UTC
Looks like this may be related to bugs 1438258 (https://bugzilla.redhat.com/show_bug.cgi?id=1438258) and 1498725 (https://bugzilla.redhat.com/show_bug.cgi?id=1498725)

Comment 3 Corinna Vinschen 2017-11-04 15:59:02 UTC
Hi Jeff,

(In reply to Jeff Backus from comment #1)
> Hi Corinna,
> 
> What version of the Intel driver (xorg-x11-drv-intel) are you using?

xorg-x11-drv-intel-2.99.917-28.20160929.fc26.i686

> Is text mode fine?

No.  After the crash, switching the console to textmode retains the broken,
scrambled left 3/4 of the screen, just as in graphical mode.

> Does this issue show up during the loading screen or does it make
> it to the display manager / login screen before getting corrupted?

This occurs within a second or two into booting, apparently right when
the Intel KMS driver is loaded.


Thanks,
Corinna

Comment 4 Corinna Vinschen 2017-11-16 18:43:21 UTC
Problem is still present in kernel 4.13.12-200

Corinna

Comment 5 Corinna Vinschen 2017-11-22 22:02:16 UTC
Problem is still present in kernel 4.13.13-200

Updated to Fedora 27.

Problem is still present in kernel 4.13.13-300

I have to boot into F27 using the F26 4.12.9 kernel

Btw., I just noticed the 4.12.9 kernel shows a simialr log message, but apparently it's not fatal:

Nov 22 22:58:17 hansi.vinschen.de kernel: ------------[ cut here ]------------
Nov 22 22:58:17 hansi.vinschen.de kernel: WARNING: CPU: 0 PID: 5 at drivers/gpu/drm/drm_atomic_helper.c:842 drm_atomic_helper_update_legacy_modeset_state+0x220/0x230 [drm_kms_helper]
Nov 22 22:58:17 hansi.vinschen.de kernel: Modules linked in: i915 serio_raw i2c_algo_bit drm_kms_helper uas syscopyarea usb_storage sysfillrect sysimgblt fb_sys_fops drm video
Nov 22 22:58:17 hansi.vinschen.de kernel: CPU: 0 PID: 5 Comm: kworker/u4:0 Not tainted 4.12.9-300.fc26.i686 #1
Nov 22 22:58:17 hansi.vinschen.de kernel: Hardware name: HANNspree SN10E100/SN10E100, BIOS 4.6.3 04/13/2009
Nov 22 22:58:17 hansi.vinschen.de kernel: Workqueue: events_unbound async_run_entry_fn
Nov 22 22:58:17 hansi.vinschen.de kernel: task: f4cf6480 task.stack: f4d06000
Nov 22 22:58:17 hansi.vinschen.de kernel: EIP: drm_atomic_helper_update_legacy_modeset_state+0x220/0x230 [drm_kms_helper]
Nov 22 22:58:17 hansi.vinschen.de kernel: EFLAGS: 00010246 CPU: 0
Nov 22 22:58:17 hansi.vinschen.de kernel: EAX: f43c1c00 EBX: f682cc00 ECX: f6ce56c0 EDX: f6b7aa00
Nov 22 22:58:17 hansi.vinschen.de kernel: ESI: f43da7e0 EDI: 00000000 EBP: f4d07c00 ESP: f4d07be4
Nov 22 22:58:17 hansi.vinschen.de kernel:  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Nov 22 22:58:17 hansi.vinschen.de kernel: CR0: 80050033 CR2: b73d2424 CR3: 343e3000 CR4: 000006d0
Nov 22 22:58:17 hansi.vinschen.de kernel: Call Trace:
Nov 22 22:58:17 hansi.vinschen.de kernel:  intel_atomic_commit_tail+0x99c/0xe20 [i915]
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? pick_next_task_fair+0x4fb/0x5a0
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? __schedule+0x23f/0x8b0
Nov 22 22:58:17 hansi.vinschen.de kernel:  intel_atomic_commit+0x340/0x450 [i915]
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? intel_atomic_commit+0x340/0x450 [i915]
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? drm_atomic_check_only+0x344/0x4d0 [drm]
Nov 22 22:58:17 hansi.vinschen.de kernel:  drm_atomic_commit+0x3a/0x50 [drm]
Nov 22 22:58:17 hansi.vinschen.de kernel:  restore_fbdev_mode+0x14b/0x280 [drm_kms_helper]
Nov 22 22:58:17 hansi.vinschen.de kernel:  drm_fb_helper_restore_fbdev_mode_unlocked+0x27/0x70 [drm_kms_helper]
Nov 22 22:58:17 hansi.vinschen.de kernel:  drm_fb_helper_set_par+0x2a/0x60 [drm_kms_helper]
Nov 22 22:58:17 hansi.vinschen.de kernel:  intel_fbdev_set_par+0x15/0x60 [i915]
Nov 22 22:58:17 hansi.vinschen.de kernel:  fbcon_init+0x44b/0x5f0
Nov 22 22:58:17 hansi.vinschen.de kernel:  visual_init+0xbb/0x120
Nov 22 22:58:17 hansi.vinschen.de kernel:  do_bind_con_driver+0x16e/0x330
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? device_create_vargs+0x11/0x20
Nov 22 22:58:17 hansi.vinschen.de kernel:  do_take_over_console+0x72/0x180
Nov 22 22:58:17 hansi.vinschen.de kernel:  do_fbcon_takeover+0x5d/0xd0
Nov 22 22:58:17 hansi.vinschen.de kernel:  fbcon_event_notify+0x587/0x760
Nov 22 22:58:17 hansi.vinschen.de kernel:  notifier_call_chain+0x4e/0x70
Nov 22 22:58:17 hansi.vinschen.de kernel:  blocking_notifier_call_chain+0x3b/0x50
Nov 22 22:58:17 hansi.vinschen.de kernel:  fb_notifier_call_chain+0x16/0x20
Nov 22 22:58:17 hansi.vinschen.de kernel:  register_framebuffer+0x21c/0x350
Nov 22 22:58:17 hansi.vinschen.de kernel:  drm_fb_helper_initial_config+0x237/0x400 [drm_kms_helper]
Nov 22 22:58:17 hansi.vinschen.de kernel:  intel_fbdev_initial_config+0x16/0x30 [i915]
Nov 22 22:58:17 hansi.vinschen.de kernel:  async_run_entry_fn+0x35/0x160
Nov 22 22:58:17 hansi.vinschen.de kernel:  process_one_work+0x14b/0x340
Nov 22 22:58:17 hansi.vinschen.de kernel:  worker_thread+0x39/0x3c0
Nov 22 22:58:17 hansi.vinschen.de kernel:  kthread+0xf3/0x110
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? process_one_work+0x340/0x340
Nov 22 22:58:17 hansi.vinschen.de kernel:  ? kthread_park+0x70/0x70
Nov 22 22:58:17 hansi.vinschen.de kernel:  ret_from_fork+0x19/0x24
Nov 22 22:58:17 hansi.vinschen.de kernel: Code: ca 8d 76 00 8d bc 27 00 00 00 00 c7 45 ec 00 00 00 00 c7 45 f0 00 00 00 00 31 c9 e9 4d fe ff ff 8d 76 00 0f ff e9 10 ff ff ff 90 <0f> ff e9 8
Nov 22 22:58:17 hansi.vinschen.de kernel: ---[ end trace aea80872f06a54a7 ]---
N

HTH,
Corinna

Comment 6 Corinna Vinschen 2017-12-01 20:49:51 UTC
No progress in 4.13.16-300.fc27

Comment 7 Corinna Vinschen 2017-12-12 09:48:01 UTC
Still the same problem with kernel 4.14.3-300.

Adding i915.modeset=0 to the kernel command line helps to get a sane
screen, but the display resolution is fixed to 800x600, rather than
the native 1024x600.

Comment 8 Hans de Goede 2017-12-12 10:06:33 UTC
Hi,

Can you try 4.15, e.g. download kernel-core-4.15.0-0.rc3.git0.1.fc28.i686.rpm and
kernel-modules-4.15.0-0.rc3.git0.1.fc28.i686.rpm from:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1008829

Then in a directory with these 2 files run:

sudo rpm -ivh kernel*.rpm

And then reboot and see if that helps ?

If that not helps the best thing you can do is file a bug upstream for this:

https://01.org/linuxgraphics/documentation/how-report-bugs

Regards,

Hans

Comment 9 Alex Villacís Lasso 2018-02-19 16:21:49 UTC
Please try kernel package version 4.15.3-300.fc27.i686 or later. The regression has been fixed in my case and might have been fixed in your case too.

Comment 10 Corinna Vinschen 2018-02-19 18:51:51 UTC
Indeed, 4.15.3 has fixed the problem.  I'll go ahead and close the issue.

Thanks,
Corinna


Note You need to log in before you can comment on or make changes to this bug.